<script setup lang="ts">
import { useEmployStore } from '@/stores/employee'
import { useReceiptStore } from '@/stores/receipt'
import type { Receipt } from '@/types/Receipt'
import { type Ref, inject, ref } from 'vue'

const props = defineProps<{
  receipt: Receipt
}>()
const dialog = ref(false)
const employeeStore = useEmployStore()
</script>

<template>
  <v-icon size="small" color="blue-accent-4" class="me-2" @click="dialog = !dialog">
    mdi-eye-check-outline
  </v-icon>
  <v-dialog v-model="dialog" max-width="420px">
    <div class="receipt">
      <header class="receipt__header">
        <v-img
          src="src\assets\DcoffeeLogo2.png"
          width="100px"
          class="mx-auto my-auto"
          style="max-width: 100%; max-height: 100%"
        ></v-img>
        <p style="opacity: 0.5; line-height: 2"></p>
        <p class="receipt__sub" style="line-height: 0; text-align: center">รหัสใบเสร็จ : {{  props.receipt.id }}</p>
        <p class="receipt__sub" style="line-height: 0; text-align: center">
  {{ props.receipt.member?.name ? "สมาชิก :"+props.receipt.member.name : "ไม่มีสมาชิก" }}
</p>

        <p class="receipt__sub" style="line-height: 0; text-align: center">สาขา : {{ props.receipt.branch?.name}}</p>
        <v-divider></v-divider>
      </header>
      <v-row>
        <v-col>
          <v-table>
            <!-- using v-for like below will get item and index form the array -->
            <tr v-for="(item,) of receipt.receiptItems" :key="item.id">
              <td style="font-size: 10px; text-align: center; padding: 8px;">{{ item.unit }}</td>
              <td style="font-size: 10px; text-align: left; padding: 8px;">{{ item.name }}</td>
              <td style="font-size: 10px; text-align: center">{{ item.price }}</td>
              <td style="font-size: 10px; text-align: center">{{ item.price * item.unit }}</td>
            </tr>
          </v-table>
          <v-divider></v-divider>
          <v-table>
    <tr>
        <td style="font-size: 10px; text-align: left; padding: 4px;">ยอดรวม</td>
        <td style="font-size: 10px; text-align: center"></td>
        <td style="font-size: 10px; text-align: center"></td>
        <td style="font-size: 10px; text-align: center">{{ receipt?.totalBefore }}</td>
    </tr>
    <tr>
        <td style="font-size: 10px; text-align: left; padding: 4px;">ส่วนลด</td>
        <td style="font-size: 10px; text-align: center"></td>
        <td style="font-size: 10px; text-align: center"></td>
        <td style="font-size: 10px; text-align: center">{{ receipt?.totalDiscount }}</td>
    </tr>
    <tr>
        <td style="font-size: 10px; text-align: left; padding: 4px;">ยอดสุทธิ</td>
        <td style="font-size: 10px; text-align: center"></td>
        <td style="font-size: 10px; text-align: center">{{ receipt?.totalQty}} ชิ้น</td>
        <td style="font-size: 10px; text-align: center; padding: 4px;">{{ receipt?.total }}</td>
    </tr>
    <tr>
        <td style="font-size: 10px; text-align: left; padding: 4px;">รับเงิน/เงินทอน</td>
        <td style="font-size: 10px; text-align: center"></td>
        <td style="font-size: 10px; text-align: center">{{receipt.receivedAmount }}</td>
        <td style="font-size: 10px; text-align: center; padding: 4px;">{{receipt.cashBack }}</td>
    </tr>
</v-table>
        </v-col>
      </v-row>
    </div>
  </v-dialog>
</template>

<style scoped>
* {
  box-sizing: border-box;
}

body {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: 'Inter', sans-serif;
  background-color: #ededed;
  margin: 0;
}

.receipt {
  background-color: #fff;
  width: 24rem;
  position: relative;
  padding: 1rem;
  box-shadow: 0 -0.4rem 1rem -0.4rem rgba(0, 0, 0, 0.2);
}

.receipt:after {
  background-image: linear-gradient(135deg, #fff 0.5rem, transparent 0),
    linear-gradient(-135deg, #fff 0.5rem, transparent 0);
  background-position: left-bottom;
  background-repeat: repeat-x;
  background-size: 1rem;
  content: '';
  display: block;
  position: absolute;
  bottom: -1rem;
  left: 0;
  width: 100%;
  height: 1rem;
}

.receipt__header {
  text-align: center;
}

.receipt__sub {
  font-size: 0.7rem;
  color: #666;
  margin: 0.5rem 0 1rem;
}

.receipt__list {
  margin: 2rem 0 1rem;
  padding: 0 1rem;
}

.receipt__list-row {
  display: flex;
  justify-content: space-between;
  margin: 1rem 0;
  position: relative;
}

.receipt__list-row:after {
  content: '';
  display: block;
  border-bottom: 1px dotted rgba(0, 0, 0, 0.15);
  width: 100%;
  height: 100%;
  position: absolute;
  top: -0.25rem;
  z-index: 1;
}

.receipt__item {
  background-color: #fff;
  z-index: 2;
  padding: 0 0.15rem 0 0;
  color: #1f1f1f;
}

.receipt__cost {
  margin: 0;
  padding: 0 0 0 0.15rem;
  background-color: #fff;
  z-index: 2;
  color: #1f1f1f;
}

.receipt__list-row--total {
  border-top: 1px solid #ff619b;
  padding: 1.5rem 0 0;
  margin: 1.5rem 0 0;
  font-weight: 700;
}

.small-font {
  font-size: 11px;
  line-height: 0px;
  text-align: left;
}

.line {
  opacity: 0.5;
  line-height: 0;
}
</style>
